带标签的问题 'nodejs'

19
答案

如何安装最新版本的NodeJS和NPM?

我注意到链接网站上该节点目前的版本为0.12.0。 有人可以告诉我如何安装最新版本的节点和npm(终端命令)吗?     
09.03.2015 - 16:22
10
答案

如何将npm更新到最新版本? [重复]

我在设置的Vagrant框中遇到 npm 问题。我注意到 npm 版本有些旧,所以我想用最新版本检查问题。 据我了解,您应该能够使用 npm 更新 npm install -g npm ,但该命令对正在使用的 npm 没有影响: [email protected]:~$ npm -v 1.3.10 [email protected]:~$ sudo npm install -g npm npm http GET https://registry.npmjs.org/npm npm http 200 h...
17.12.2014 - 10:39
11
答案

如何将nodeJS更新到最新版本?

我在Ubuntu上安装了nodeJS,代码为 sudo apt-get install nodejs 由于我是ubuntu的新用户,我也运行了这个代码 sudo apt-get install npm 现在我输入 nodejs --version 显示 v0.6.19 我检查并看到最新的nodeJS版本是 0.10.26 如何将我的nodeJS版本更新为 0.10.26 ? 我试过 sudo apt-get install <p...
26.02.2014 - 21:51
15
答案

如何安装最新版本的node.js? [重复]

如何在Ubuntu上安装最新的 node.js ?我一直在四处寻找,我找不到任何东西。是否有 node.js 的Ubuntu包,或者我是否必须自己编译?     
18.06.2011 - 14:00
7
答案

为什么在Ubuntu 16.04上安装节点6.x实际安装节点4.2.6?

这是我在Ubuntu 16.04上安装节点的步骤: curl -sL https://deb.nodesource.com/setup_6.x | sudo -E bash - sudo apt-get install -y nodejs sudo apt-get install -y npm 这是官方指示: 链接 执行此操作后,运行 nodejs --version 将返回 v4.2.6 。 因为我使用了 setup_6.x ,我假设将安装以 6 开头的版本?...
13.06.2016 - 04:16
7
答案

node:找不到命令

我不明白为什么 node 命令不起作用,而 nodejs 有效: $ node --version zsh: command not found: node $ nodejs --version v0.10.15 我尝试了 apt-get install nodejs ,但已经安装了最新版本。 此外: $ npm zsh: command not found: npm 我认为 npm 包含在NodeJS中&gt; 0.10     
13.01.2014 - 18:48
5
答案

如何使用apt安装NodeJS 4?

如何使用 apt-get utilities在Ubuntu上安装 NodeJS 4 ?     
11.09.2015 - 18:17
7
答案

node.js冲突:/ sbin / node vs / usr / bin / node

我有两台Ubuntu 12.10机器:机器A是VMWare VM,机器B是旧Acer笔记本电脑。在两台机器上,我使用apt-get安装了节点。但是,机器A将主二进制文件安装为 /usr/bin/node ,将机器B安装为 /usr/bin/nodejs 。以下是我观察到的一些行为: 两台计算机都返回 /usr/bin/node 以响应 which node 命令。但是,机器B上没有这样的文件。 发出命令 node 适用于机器A,而不适用于B.在B上,我必须使用 nodejs 。 在B...
03.01.2013 - 15:30
7
答案

检查nodejs的版本什么都不返回

我正在尝试将节点js安装到Ubuntu上,以便我可以运行AngularJS。我不确定我之前是否已安装它,所以我运行了 sudo-apt get install node ,一旦完成,我就运行 node --version 但我的终端上没有返回任何内容。 [email protected]:~$ node --version [email protected]:~$ 如何检查是否安装了nodejs?     
09.12.2012 - 22:01
7
答案

无法在ubuntu上安装npm

试图在ubuntu 12.04上安装nodejs和npm。我用Google搜索并做到了。现在,我无法在机器上安装npm。 sudo apt-get install npm 这给了我这个 The following packages have unmet dependencies: npm : Depends: nodejs but it is not going to be installed Depends: nodejs-dev Depen...
07.05.2014 - 15:59